Name:           blueberry
Version:        1.4.8
Release:        %mkrel 1
Summary:        A configuration tool for Bluetooth
License:        GPLv3+
Group:          Communications/Bluetooth
Url:            https://github.com/linuxmint/blueberry
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  hicolor-icon-theme
BuildRequires:  python3
BuildRequires:  desktop-file-utils
Requires:       python3dist(dbus-python)
Requires:       python3dist(pygobject)
Requires:       python3dist(setproctitle)
Requires:       bluez-tools
Requires:       gnome-bluetooth >= 3.14
Requires:       rfkill
Requires:       wmctrl
Obsoletes:      cinnamon-applet-%{name} <= 1.3.9   

%description
Utility for Bluetooth devices graphical configuration.

%prep
%setup -q
%autopatch -p1

# Add execution bit to files in /usr/bin/ directory.
chmod a+x .%{_bindir}/* .%{_prefix}/lib/%{name}/*.py

# Replace the icon with an existing one.
sed -i 's/^\(Icon=\).*$/\1%{name}/' .%{_datadir}/applications/%{name}.desktop

%build
%make_build

%install
cp -a .%{_prefix} %{buildroot}%{_prefix}
cp -a .%{_sysconfdir} %{buildroot}%{_sysconfdir}

%find_lang %{name}

%files -f %{name}.lang
%doc debian/changelog debian/copyright README.md
%{_bindir}/%{name}*
%{_prefix}/lib/%{name}/
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}*
%{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml


%changelog
* Thu Feb 09 2023 daviddavid <daviddavid> 1.4.8-1.mga9
+ Revision: 1939571
- new version: 1.4.8

* Wed Mar 16 2022 joequant <joequant> 1.4.7-1.mga9
+ Revision: 1794430
- update to 1.4.7
- update to 1.4.7

* Sat Nov 27 2021 joequant <joequant> 1.4.5-1.mga9
+ Revision: 1759580
- update to 1.4.5

* Thu Oct 21 2021 joequant <joequant> 1.4.4-1.mga9
+ Revision: 1752411
- update to 1.4.4

* Thu Jun 17 2021 joequant <joequant> 1.4.3-1.mga9
+ Revision: 1731045
- update to 1.4.3

* Fri Dec 11 2020 joequant <joequant> 1.4.1-1.mga8
+ Revision: 1655271
- update to 1.4.1

* Fri Dec 04 2020 joequant <joequant> 1.4.0-1.mga8
+ Revision: 1652407
- update to 1.4.0

* Sun Jun 28 2020 joequant <joequant> 1.3.9-1.mga8
+ Revision: 1599836
- update to 1.3.9 remove cinnamon-applet-blueberry

* Thu May 14 2020 daviddavid <daviddavid> 1.3.7-1.mga8
+ Revision: 1583605
- new version: 1.3.7

* Thu Feb 20 2020 umeabot <umeabot> 1.3.4-2.mga8
+ Revision: 1546523
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 1.3.4-1.mga8
+ Revision: 1486702
- new version: 1.3.4

* Sun Dec 22 2019 daviddavid <daviddavid> 1.3.3-1.mga8
+ Revision: 1469433
- new version: 1.3.3

* Fri Nov 22 2019 daviddavid <daviddavid> 1.3.0-1.mga8
+ Revision: 1462122
- new version: 1.3.0

* Thu Aug 22 2019 joequant <joequant> 1.2.9-1.mga8
+ Revision: 1431352
- update to 1.2.9

* Sat Apr 13 2019 wally <wally> 1.2.5-5.mga8
+ Revision: 1389596
- require python3-dbus
- require bluez-tools
- require python3-setproctitle

* Fri Apr 12 2019 wally <wally> 1.2.5-4.mga7
+ Revision: 1389368
- apply patches

* Thu Mar 28 2019 wally <wally> 1.2.5-3.mga7
+ Revision: 1380770
- add upstream patch to switch to python3
- add other misc fixes from upstream

* Mon Feb 25 2019 wally <wally> 1.2.5-2.mga7
+ Revision: 1370108
- split out cinnamon-applet to not pull cinnamon with main pkg
- fix license

* Fri Jan 04 2019 daviddavid <daviddavid> 1.2.5-1.mga7
+ Revision: 1349000
- new version: 1.2.5

* Thu Sep 20 2018 umeabot <umeabot> 1.2.3-2.mga7
+ Revision: 1277668
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 joequant <joequant> 1.2.3-1.mga7
+ Revision: 1241187
- update to 1.2.3

* Sat Nov 25 2017 joequant <joequant> 1.1.19-1.mga7
+ Revision: 1179182
- upgrade to 1.1.19
- upgrade to 1.1.19

* Mon Oct 16 2017 joequant <joequant> 1.1.15-1.mga7
+ Revision: 1172261
- upgrade to 1.1.15

* Tue May 03 2016 joequant <joequant> 1.1.3-1.mga6
+ Revision: 1008822
- upgrade to 1.1.3

* Thu Dec 17 2015 joequant <joequant> 1.1.0-1.mga6
+ Revision: 911430
- fix group
- imported package blueberry

